from flask import Flask, request, jsonify
# from flask_cors import CORS

app = Flask(__name__)
# CORS(app)  # 允许所有域名访问

@app.route("/")
def home():
    return "四维AI大模型!"


@app.route('/msg', methods=['POST'])
def inputMsg():
    # 从请求中获取JSON数据
    data = request.get_json()

    # 检查是否接收到数据
    if not data:
        return jsonify({"error": "No data received"}), 400

    # 打印接收到的消息
    print(data['msg'])

    # 返回响应
    return jsonify({"message": "数据已接收", "received": data})


if __name__ == '__main__':
    app.run()
